linux-lts-raring: 3.8.0-25.37~precise1 -proposed tracker

Bug #1188463 reported by Brad Figg on 2013-06-07
30
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-signed
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-25.37~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 07. June 2013 04:08 UTC
kernel-stable-master-bug:1187857
kernel-stable-Prepare-package-end:Friday, 07. June 2013 18:06 UTC
kernel-stable-Promote-to-proposed-start:Friday, 07. June 2013 18:06 UTC
kernel-stable-Promote-to-proposed-end:Friday, 07. June 2013 20:06 UTC
kernel-stable-Verification-testing-start:Friday, 07. June 2013 21:07 UTC
kernel-stable-Verification-testing-end:Monday, 10. June 2013 06:05 UTC
kernel-stable-Certification-testing-start:Monday, 10. June 2013 06:05 UTC
kernel-stable-Security-signoff-start:Monday, 10. June 2013 06:05 UTC
kernel-stable-Regression-testing-start:Monday, 10. June 2013 06:05 UTC
kernel-stable-Security-signoff-end:Tuesday, 11. June 2013 11:04 UTC
kernel-stable-Regression-testing-end:Wednesday, 12. June 2013 17:05 UTC
kernel-stable-Certification-testing-end:Thursday, 13. June 2013 15:04 UTC
kernel-stable-Promote-to-updates-start:Friday, 14. June 2013 00:43 UTC
kernel-stable-Promote-to-updates-end:Friday, 14. June 2013 01:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 14. June 2013 02:05 UTC

Brad Figg (brad-figg) on 2013-06-07
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Brad Figg (brad-figg) on 2013-06-07
description: updated
Brad Figg (brad-figg) on 2013-06-07
description: updated
Adam Conrad (adconrad) on 2013-06-08
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-06-10
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2013-06-11
description: updated
Brad Figg (brad-figg) on 2013-06-11
Changed in kernel-sru-workflow:
status: In Progress → Invalid
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
Paul Larson (pwlars) on 2013-06-12
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-06-12
Changed in kernel-sru-workflow:
status: Invalid → In Progress
Adam Conrad (adconrad) on 2013-06-12
Changed in linux-lts-raring (Ubuntu Precise):
status: Invalid → New
Brad Figg (brad-figg) on 2013-06-12
Changed in linux-lts-raring (Ubuntu):
status: Invalid → New
Adam Conrad (adconrad) on 2013-06-12
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-06-12
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and the results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.8.0-25.37~precise1/precise-3.8-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-06-13
description: updated
Brad Figg (brad-figg) on 2013-06-14
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (16.3 KiB)

This bug was fixed in the package linux-lts-raring - 3.8.0-25.37~precise1

---------------
linux-lts-raring (3.8.0-25.37~precise1) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1188463

  [ Upstream Kernel Changes ]

  * iwlwifi: dvm: fix zero LQ CMD sending avoidance
    - LP: #1186932

linux (3.8.0-24.35) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1186236

  [ Joseph Salisbury ]

  * SAUCE: uvcvideo: quirk PROBE_DEF for Alienware X51 OmniVision webcam
    - LP: #1180409

  [ Upstream Kernel Changes ]

  * drm/i915: Use MLC (l3$) for context objects
  * xhci: Don't warn on empty ring for suspended devices.
    - LP: #1177865
  * USB: serial: option: Added support Olivetti Olicard 145
    - LP: #1178361
  * USB: option: add a D-Link DWM-156 variant
    - LP: #1178361
  * staging: zsmalloc: Fix link error on ARM
    - LP: #1178361
  * ARM: omap3: cpuidle: enable time keeping
    - LP: #1178361
  * ARM: u300: fix ages old copy/paste bug
    - LP: #1178361
  * ARM: at91/at91sam9260.dtsi: fix u(s)art pinctrl encoding
    - LP: #1178361
  * ARM: at91: remove partial parameter in bootargs for at91sam9x5ek.dtsi
    - LP: #1178361
  * ARM: at91: Fix typo in restart code panic message
    - LP: #1178361
  * ARM: at91/trivial: fix model name for SAM9G15-EK
    - LP: #1178361
  * ARM: at91/trivial: typos in compatible property
    - LP: #1178361
  * powerpc: Add isync to copy_and_flush
    - LP: #1178361
  * powerpc: Fix hardware IRQs with MMU on exceptions when HV=0
    - LP: #1178361
  * powerpc/power8: Fix secondary CPUs hanging on boot for HV=0
    - LP: #1178361
  * powerpc/spufs: Initialise inode->i_ino in spufs_new_inode()
    - LP: #1178361
  * iwlwifi: fix freeing uninitialized pointer
    - LP: #1178361
  * iwlwifi: dvm: don't send zeroed LQ cmd
    - LP: #1178361
  * mwifiex: Use pci_release_region() instead of a pci_release_regions()
    - LP: #1178361
  * mwifiex: Call pci_release_region after calling pci_disable_device
    - LP: #1178361
  * mac80211: fix station entry leak/warning while suspending
    - LP: #1178361
  * usb/misc/appledisplay: Add 24" LED Cinema display
    - LP: #1178361
  * USB: add ftdi_sio USB ID for GDM Boost V1.x
    - LP: #1178361
  * USB: ftdi_sio: correct ST Micro Connect Lite PIDs
    - LP: #1178361
  * USB: ftdi_sio: enable two UART ports on ST Microconnect Lite
    - LP: #1178361
  * usbfs: Always allow ctrl requests with USB_RECIP_ENDPOINT on the ctrl
    ep
    - LP: #1178361
  * usb: chipidea: udc: fix memory access of shared memory on armv5
    machines
    - LP: #1178361
  * usb: chipidea: udc: fix memory leak in _ep_nuke
    - LP: #1178361
  * usb: remove redundant tdi_reset
    - LP: #1178361
  * usb-storage: CY7C68300A chips do not support Cypress ATACB
    - LP: #1178361
  * s390/memory hotplug: prevent offline of active memory increments
    - LP: #1178361
  * xen/time: Fix kasprintf splat when allocating timer%d IRQ line.
    - LP: #1178361
  * xen/smp: Fix leakage of timer interrupt line for every CPU
    online/offline.
    - LP: #1178361
  * xen/smp/spinlock: Fix leakage of the spinlock interrupt line for every
    CPU online/offline
...

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-06-14
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers